<?php
/**
 * @package		HikaShop for Joomla!
 * @version		1.6.0
 * @author		hikashop.com
 * @copyright	(C) 2010-2012 HIKARI SOFTWARE. All rights reserved.
 * @license		GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */
defined('_JEXEC') or die('Restricted access');
?>
<div class="iframedoc" id="iframedoc"></div>
<form action="index.php?option=<?php echo HIKASHOP_COMPONENT ?>&amp;ctrl=badge" method="post"  name="adminForm" id="adminForm" enctype="multipart/form-data">
	<?php
		$this->badge_name = "data[badge][badge_name]";
		$this->badge_position = "data[badge][badge_position]";
	?>
	<table class="admintable" style="margin:auto">
		<tr>
			<td valign="top">
				<table class="admintable" style="margin:auto">
					<tr>
						<td class="key">
							<label for="data[badge][badge_name]">
								<?php echo JText::_( 'HIKA_NAME' ); ?>
							</label>
						</td>
						<td>
							<input type="text" size="40" name="data[badge][badge_name]" value="<?php echo $this->escape(@$this->element->badge_name); ?>" />
						</td>
					</tr>
					<tr>
							<td class="key">
								<label for="data[badge][badge_published]">
									<?php echo JText::_( 'HIKA_PUBLISHED' ); ?>
								</label>
							</td>
							<td>
									<?php echo JHTML::_('select.booleanlist', "data[badge][badge_published]" , '',@$this->element->badge_published);?>
							</td>
					</tr>
					<tr>
						<td class="key">
							<label for="data[badge][badge_start]">
								<?php echo JText::_( 'START_DATE' ); ?>
							</label>
						</td>
						<td>
							<?php echo JHTML::_('calendar', (@$this->element->badge_start?hikashop_getDate(@$this->element->badge_start,'%Y-%m-%d %H:%M'):''), 'data[badge][badge_start]','badge_start','%Y-%m-%d %H:%M','size="20"'); ?>
						</td>
					</tr>
					<tr>
						<td class="key">
							<label for="data[badge][badge_end]">
								<?php echo JText::_( 'END_DATE' ); ?>
							</label>
						</td>
						<td>
							<?php echo JHTML::_('calendar', (@$this->element->badge_end?hikashop_getDate(@$this->element->badge_end,'%Y-%m-%d %H:%M'):''), 'data[badge][badge_end]','badge_end','%Y-%m-%d %H:%M','size="20"'); ?>
						</td>
					</tr>
					<tr>
						<td class="key">
							<label for="data[badge][badge_category_id]">
								<?php echo JText::_( 'CATEGORY' ); ?>
							</label>
						</td>
						<td>
							<span id="changeParent" >
								<?php echo (int)@$this->element->badge_category_id.' '.@$this->element->category_name; ?>
							</span>
								<input type="hidden" id="categoryselectparentlisting" name="data[badge][badge_category_id]" value="<?php echo @$this->element->badge_category_id; ?>" />
							<a class="modal" rel="{handler: 'iframe', size: {x: 760, y: 480}}" href="<?php echo hikashop_completeLink("category&task=selectparentlisting&control=category",true ); ?>">
								<img src="<?php echo HIKASHOP_IMAGES; ?>edit.png" alt="edit"/>
							</a>
							<a href="#" onclick="document.getElementById('changeParent').innerHTML='0 <?php echo $this->escape(JText::_('CATEGORY_NOT_FOUND'));?>'; document.getElementById('categoryselectparentlisting').value='0';return false;" >
								<img src="<?php echo HIKASHOP_IMAGES; ?>delete.png" alt="delete"/>
							</a>
						</td>
					</tr>
					<tr>
						<td class="key">
							<label for="data[badge][badge_category_childs]">
								<?php echo JText::_( 'INCLUDING_SUB_CATEGORIES' ); ?>
							</label>
						</td>
						<td>
							<?php echo JHTML::_('select.booleanlist', "data[badge][badge_category_childs]" , '',@$this->element->badge_category_childs	); ?>
						</td>
					</tr>
					<tr>
						<td class="key">
							<label for="data[badge][badge_discount_id]">
								<?php echo JText::_( 'DISCOUNT' ); ?>
							</label>
						</td>
						<td>
							<span id="changeDiscount" >
								<?php echo (int)@$this->element->badge_discount_id.' '.@$this->element->discount_code; ?>
							</span>
								<input type="hidden" id="discountselectparentlisting" name="data[badge][badge_discount_id]" value="<?php echo @$this->element->badge_discount_id; ?>" />
							<a class="modal" rel="{handler: 'iframe', size: {x: 760, y: 480}}" href="<?php echo hikashop_completeLink("discount&task=select_coupon&badge=true",true ); ?>">
								<img src="<?php echo HIKASHOP_IMAGES; ?>edit.png" alt="edit"/>
							</a>
							<a href="#" onclick="document.getElementById('changeDiscount').innerHTML='0 <?php echo $this->escape(JText::_('DISCOUNT_NOT_FOUND'));?>'; document.getElementById('discountselectparentlisting').value='0';return false;" >
								<img src="<?php echo HIKASHOP_IMAGES; ?>delete.png" alt="delete"/>
							</a>
						</td>
					</tr>
				</table>
			</td>
			<td>
				<table class="admintable" margin="auto">
						<tr>
							<td class="key">
								<?php echo JText::_( 'HIKA_IMAGES' ); ?>
							</td>
							<td>
								<?php echo $this->image->display(@$this->element->badge_image); ?>
								<input type="file" name="files" size="30" />
								<?php echo JText::sprintf('MAX_UPLOAD',(hikashop_bytes(ini_get('upload_max_filesize')) > hikashop_bytes(ini_get('post_max_size'))) ? ini_get('post_max_size') : ini_get('upload_max_filesize')); ?>
							</td>
						</tr>
						<tr>
							<td class="key">
								<label for="data[badge][badge_size]">
									<?php echo JText::_( 'FIELD_SIZE' ); ?>
								</label>
							</td>
							<td>
								<?php if(!isset($this->element->badge_size))$this->element->badge_size=30;?>
								<input type="text" size="2" name="data[badge][badge_size]" value="<?php echo $this->escape($this->element->badge_size);?>" />
							<?php echo JText::_( '%' );?>
							</td>
						</tr>
						<tr>
						<td class="key">
							<label for="data[badge][badge_position]">
								<?php echo JText::_( 'POSITION' );?>
							</label>
						</td>
						<td>
								<?php echo $this->badge->display("data[badge][badge_position]",@$this->element->badge_position);?>
						</td>
					</tr>
					<tr>
						<td class="key">
							<label for="data[badge][badge_vertical_distance]">
								<?php echo JText::_( 'VERTICAL_DISTANCE' );?>
							</label>
						</td>
						<td>
								<?php if(!isset($this->element->badge_vertical_distance))$this->element->badge_vertical_distance=0;?>
								<input type="text" size="2" name="data[badge][badge_vertical_distance]" value="<?php echo $this->escape($this->element->badge_vertical_distance);?>" />
							<?php echo JText::_( 'px' );?>
							</td>
					</tr>
					<tr>
						<td class="key">
							<label for="data[badge][badge_horizontal_distance]">
								<?php echo JText::_( 'HORIZONTAL_DISTANCE' );?>
							</label>
						</td>
						<td>
								<?php if(!isset($this->element->badge_horizontal_distance))$this->element->badge_horizontal_distance=0;?>
								<input type="text" size="2" name="data[badge][badge_horizontal_distance]" value="<?php echo $this->escape($this->element->badge_horizontal_distance);?>" />
							<?php echo JText::_( 'px' );?>
							</td>
					</tr>
				</table>
			</td>
		</tr>
	</table>
	<input type="hidden" name="cid[]" value="<?php echo @$this->element->badge_id; ?>" />
	<input type="hidden" name="option" value="<?php echo HIKASHOP_COMPONENT; ?>" />
	<input type="hidden" name="task" value="" />
	<input type="hidden" name="ctrl" value="badge" />
	<?php echo JHTML::_( 'form.token' ); ?>
</form>
