<?php
/**
 * @package		HikaShop for Joomla!
 * @version		1.6.0
 * @author		hikashop.com
 * @copyright	(C) 2010-2012 HIKARI SOFTWARE. All rights reserved.
 * @license		GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */
defined('_JEXEC') or die('Restricted access');
?>
<div style="line-height:normal">
<span id="hikashop_menu_title"><?php echo $this->title;?></span>
<div id="hikashop_menu">
	<ul class="menu">
<?php
$config = hikashop_config();
foreach($this->menus as $menu) {
	$html = '';
	if(!empty($menu['children'])) {
		$i = 1;
		$last = count($menu['children']);
		foreach($menu['children'] as $child) {
			$task = 'view';
			if(!empty($child['task']))
				$task = $child['task'];
			if(empty($child['acl']) || hikashop_isAllowed($config->get('acl_'.$child['acl'].'_'.$task, 'all'))) {
				$liclasses = '';
				$classes = '';
				if(isset($child['active']) && $child['active']) {
					$classes .= ' sel';
					$liclasses .= ' sel';
					$menu['active'] = true;
				}
				if(!empty($child['icon'])) {
					$classes .= ' '.$child['icon'];
				}
				if($i == $last)
					$classes .= ' last';
				if(!isset($child['options']))
					$child['options'] = '';
				$html .= '<li class="l2'.$liclasses.'"><a class="'.$classes.'" href="'.$child['url'].'" '.$child['options'].'>'.$child['name'].'</a></li>'."\r\n";
				$i++;
			}
		}
		if(!empty($html)) {
			$html = '<ul>'."\r\n".$html.'</ul>';
		}
	}
	$task = 'view';
	if(!empty($menu['task']))
		$task = $menu['task'];
	if(!empty($menu['acl']) && !hikashop_isAllowed($config->get('acl_'.$menu['acl'].'_'.$task, 'all'))) {
		if(empty($html)) {
			continue;
		}
		$menu['url'] = '#';
	}
	$liclasses = '';
	$classes = '';
	if(isset($menu['active']) && $menu['active']) {
		$classes .= ' sel';
		$liclasses .= ' sel';
	}
	if(!empty($menu['icon'])) {
		$classes .= ' '.$menu['icon'];
	}
	if(!empty($html)) {
		$liclasses .= ' parentmenu';
	}
	if(!isset($menu['options']))
		$menu['options'] = '';
	echo '<li class="l1'.$liclasses.'"><a class="e1'.$classes.'" href="'.$menu['url'].'" '.$menu['options'].'>'.$menu['name'].'</a>'.$html.'</li>';
}
unset($html);
?>
	</ul>
</div>
<style type="text/css">
div#submenu-box { display: none; }
</style>
<div style="clear:left"></div>
</div>