<?php
/**
 * @package		HikaShop for Joomla!
 * @version		1.6.0
 * @author		hikashop.com
 * @copyright	(C) 2010-2012 HIKARI SOFTWARE. All rights reserved.
 * @license		GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */
defined('_JEXEC') or die('Restricted access');
?>
<?php
class plgHikashopValidate_free_order extends JPlugin
{
	function plgHikashopValidate_free_order(&$subject, $config){
		parent::__construct($subject, $config);
	}
	function onBeforeOrderCreate(&$order,&$send_email){
		if(empty($order) || !isset($order->order_full_price))
			return;
		if(bccomp($order->order_full_price,0,5)==0){
			$order->order_status = 'confirmed';
		}
	}
	function onAfterOrderCreate(&$order){
		if($order->order_status == 'confirmed'){
			$class = hikashop_get('class.cart');
			$class->cleanCartFromSession();
		}
	}
}