<?php
/**
 * @package		HikaShop for Joomla!
 * @version		1.6.0
 * @author		hikashop.com
 * @copyright	(C) 2010-2012 HIKARI SOFTWARE. All rights reserved.
 * @license		GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */
defined('_JEXEC') or die('Restricted access');
?>
<?php
class hikashopWeightType{
	function display($map,$weight_unit){
		$config =& hikashop_config();
		$symbols = explode(',',$config->get('weight_symbols','kg,g'));
		if(empty($weight_unit)){
			$weight_unit = $symbols[0];
		}
		if(!in_array($weight_unit,$symbols)){
			$this->values[] = JHTML::_('select.option', $weight_unit,JText::_($weight_unit) );
		}
		$this->values = array();
		foreach($symbols as $symbol){
			$this->values[] = JHTML::_('select.option', $symbol,JText::_($symbol) );
		}
		return JHTML::_('select.genericlist',   $this->values, $map, 'class="inputbox" size="1"', 'value', 'text', $weight_unit );
	}
}