<?php
/**
 * @package		HikaShop for Joomla!
 * @version		1.6.0
 * @author		hikashop.com
 * @copyright	(C) 2010-2012 HIKARI SOFTWARE. All rights reserved.
 * @license		GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */
defined('_JEXEC') or die('Restricted access');
?>
<?php
	$js = '';
	$params = null;
	$this->params->set('vote_type','product');
	if(isset($this->element->main)){
		$product_id = $this->element->main->product_id;
	}else{
		$product_id = $this->element->product_id;
	}
	$this->params->set('product_id',$product_id);
	$layout_vote_mini = hikashop_getLayout('vote', 'mini', $this->params, $js);
	$layout_vote_listing = hikashop_getLayout('vote', 'listing', $this->params, $js);
	$layout_vote_form = hikashop_getLayout('vote', 'form', $this->params, $js);
?>
<div id="hikashop_product_top_part" class="hikashop_product_top_part">
	<h1>
		<span id="hikashop_product_name_main" class="hikashop_product_name_main">
			<?php
			if (hikashop_getCID('product_id')!=$this->element->product_id && isset ($this->element->main->product_name))
				echo $this->element->main->product_name;
			else
				echo $this->element->product_name;
			?>
		</span>
		<?php if ($this->config->get('show_code')) { ?>
		<span id="hikashop_product_code_main" class="hikashop_product_code_main">
			<?php
			echo $this->element->product_code;
			?>
		</span>
		<?php } ?>
	</h1>
	<?php
	$pluginsClass = hikashop_get('class.plugins');
	$plugin = $pluginsClass->getByName('content', 'hikashopsocial');
	if (@ $plugin->published || @ $plugin->enabled) {
		echo '{hikashop_social}';
	}
	?>
</div>
<div id="hikashop_product_left_part" class="hikashop_product_left_part" style="width: 500px; ">
	<?php
	$this->row = & $this->element;
	$this->setLayout('show_block_img');
	echo $this->loadTemplate();
	?>
	<div id="hikashop_product_description_main_mini" class="hikashop_product_description_main_mini">
		<?php
		$resume = substr(strip_tags(preg_replace('#<hr *id="system-readmore" */>#i','',$this->element->product_description)),0,300);
		$resume .= "...<a href='#description'>See more</a>";
		echo JHTML::_('content.prepare',$resume);
		?>
	</div>
</div>
<div id="hikashop_product_right_part" class="hikashop_product_right_part">
	<span id="hikashop_product_price_main" class="hikashop_product_price_main">
		<?php
		if ($this->params->get('show_price')) {
			$this->row = & $this->element;
			$this->setLayout('listing_price');
			echo $this->loadTemplate();
		}
		$this->setLayout('show_block_dimensions');
		echo $this->loadTemplate();
		?>
	</span><br />
	<div id="hikashop_product_vote_mini" class="hikashop_product_vote_mini">
		<?php
		if($this->params->get('show_vote_product') == '-1'){
			$this->params->set('show_vote_product',$config->get('show_vote_product'));
		}
		if($this->params->get('show_vote_product')){
			echo $layout_vote_mini;
		}
		?>
	</div>
	<?php
	$this->setLayout('show_block_characteristic');
	echo $this->loadTemplate();
	?>
	<br />
	<?php
	$form = ',0';
	if (!$this->config->get('ajax_add_to_cart', 1)) {
		$form = ',\'hikashop_product_form\'';
	}
	if (hikashop_level(1) && !empty ($this->element->options)) {
	?>
		<div id="hikashop_product_options" class="hikashop_product_options">
			<?php
			$this->setLayout('option');
			echo $this->loadTemplate();
			?>
		</div>
		<br />
		<?php
		$form = ',\'hikashop_product_form\'';
		if ($this->config->get('redirect_url_after_add_cart', 'stay_if_cart') == 'ask_user') {
		?>
			<input type="hidden" name="popup" value="1"/>
		<?php
		}
	}
	if (!$this->params->get('catalogue') && ($this->config->get('display_add_to_cart_for_free_products') || !empty ($this->element->prices))) {
		if (!empty ($this->itemFields)) {
			$form = ',\'hikashop_product_form\'';
			if ($this->config->get('redirect_url_after_add_cart', 'stay_if_cart') == 'ask_user') {
			?>
				<input type="hidden" name="popup" value="1"/>
			<?php
			}
			$this->setLayout('show_block_custom_item');
			echo $this->loadTemplate();
		}
	}
	$this->formName = $form;
	if($this->params->get('show_price')){ ?>
		<span id="hikashop_product_price_with_options_main" class="hikashop_product_price_with_options_main">
		</span>
	<?php } ?>
	<?php $contact = $this->config->get('product_contact',0); ?>
	<div id="hikashop_product_contact_main" class="hikashop_product_contact_main">
		<?php
		if (hikashop_level(1) && ($contact == 2 || ($contact == 1 && !empty ($this->element->product_contact)))) {
			$empty = '';
			$params = new JParameter($empty);
			echo $this->cart->displayButton(JText :: _('CONTACT_US_FOR_INFO'), 'contact_us', $params, hikashop_completeLink('product&task=contact&cid=' . $this->row->product_id), 'window.location=\'' . hikashop_completeLink('product&task=contact&cid=' . $this->row->product_id) . '\';return false;');
		}
		?>
	</div>
	<?php
	if(!empty($this->fields)){
		$this->setLayout('show_block_custom_main');
		echo $this->loadTemplate();
	}
	?>
	<span id="hikashop_product_id_main" class="hikashop_product_id_main">
		<input type="hidden" name="product_id" value="<?php echo $this->element->product_id; ?>" />
	</span>
	<br />
	<div id="hikashop_product_quantity_main" class="hikashop_product_quantity_main">
		<?php
		$this->row = & $this->element;
		$this->ajax = 'if(hikashopCheckChangeForm(\'item\',\'hikashop_product_form\')){ return hikashopModifyQuantity(\'' . $this->row->product_id . '\',field,1' . $form . ',\'cart\'); } else { return false; }';
		$this->setLayout('quantity');
		echo $this->loadTemplate();
		?>
	</div>
	<?php
	$this->setLayout('show_block_product_files');
	echo $this->loadTemplate();
	?>
</div>
<div id="hikashop_product_bottom_part" class="hikashop_product_bottom_part">
	<div class="ui-corner-top" style="width:100%; background-color: grey; margin-top: 4px;">
		<div style="text-align: center;width:280px;margin: auto;background-color:#DEDEDE;">
			<a name="description"><?php echo JText::_('PRODUCT_DESCRIPTION');?></a>
			<?php if($layout_vote_listing){?> | <a href="#comment"><?php echo JText::_('PRODUCT_COMMENT');?></a>
			<?php } if($layout_vote_form){?> | <a href="#new_comment"><?php echo JText::_('PRODUCT_NEW_COMMENT');?></a><?php } ?>
		</div>
	</div>
	<div style="border: solid 1px grey;">
		<h2><?php echo JText::_('PRODUCT_DESCRIPTION').": ";?> </h2>
		<div id="hikashop_product_description_main" class="hikashop_product_description_main">
			<?php
			echo JHTML::_('content.prepare',preg_replace('#<hr *id="system-readmore" */>#i','',$this->element->product_description));
			?>
		</div>
	</div>
	<span id="hikashop_product_url_main" class="hikashop_product_url_main">
		<?php
		if (!empty ($this->element->product_url)) {
			echo JText :: sprintf('MANUFACTURER_URL', '<a href="' . $this->element->product_url . '" target="_blank">' . $this->element->product_url . '</a>');
		}
		?>
	</span>
	<?php if($layout_vote_listing){ ?>
	<div class="ui-corner-top" style="width:100%; background-color: grey; margin-top: 4px;">
		<div style="text-align: center;width:280px;margin: auto;background-color:#DEDEDE;">
			<a href="#description"><?php echo JText::_('PRODUCT_DESCRIPTION');?></a> |
			<a name="comment"><?php echo JText::_('PRODUCT_COMMENT');?></a> |
			<?php if($layout_vote_form){?><a href="#new_comment"><?php echo JText::_('PRODUCT_NEW_COMMENT');?></a><?php } ?>
		</div>
	</div>
	<div style="border: solid 1px grey;">
		<h2><?php echo JText::_('PRODUCT_COMMENT').": ";?> </h2>
		<div id="hikashop_product_vote_listing" class="hikashop_product_vote_listing">
			<?php
				echo $layout_vote_listing;
			?>
		</div>
	</div>
	<?php
		}
		if($layout_vote_form){
	?>
	<div class="ui-corner-top" style="width:100%; background-color: grey; margin-top: 4px;">
		<div style="text-align: center;width:280px;margin: auto;background-color:#DEDEDE;">
			<a href="#description"><?php echo JText::_('PRODUCT_DESCRIPTION');?></a> |
			<?php if($layout_vote_listing){?><a href="#comment"><?php echo JText::_('PRODUCT_COMMENT');?></a> |<?php } ?>
			<a name="new_comment"><?php echo JText::_('PRODUCT_NEW_COMMENT');?></a>
		</div>
	</div>
	<div style="border: solid 1px grey;">
		<h2> <?php echo JText::_('PRODUCT_NEW_COMMENT').": ";?> </h2>
		<div id="hikashop_product_vote_form" class="hikashop_product_vote_form">
			<?php
				echo $layout_vote_form;
			?>
		</div>
	</div>
	<?php } ?>
</div>